---
image:
  file: .gitpod.dockerfile

tasks:
  - name: initialize
    init: |
      # ------------------------------------
      # wasmer
      # ------------------------------------
      curl https://get.wasmer.io -sSfL | sh
      source /home/gitpod/.wasmer/wasmer.sh

      # ------------------------------------
      # grain
      # ------------------------------------
      #sudo curl -L --output /usr/local/bin/grain \
      #https://github.com/grain-lang/grain/releases/download/grain-v0.4.2/grain-linux-x64 \
      #&& sudo chmod +x /usr/local/bin/grain
      (echo 'export PATH="${PATH}:$(yarn global bin)"' >> ~/.bashrc) && source ~/.bashrc

      clear
      gp sync-done prerequisites


  - name: hello.grain
    init: gp sync-await prerequisites
    command: |
      source /home/gitpod/.wasmer/wasmer.sh 
      (echo 'export PATH="${PATH}:$(yarn global bin)"' >> ~/.bashrc) && source ~/.bashrc
      cd hello.grain
      clear

  - name: hello.wagi
    init: gp sync-await prerequisites
    command: |
      source /home/gitpod/.wasmer/wasmer.sh 
      (echo 'export PATH="${PATH}:$(yarn global bin)"' >> ~/.bashrc) && source ~/.bashrc
      cd hello.wagi
      clear

  - name: hello.wagi-wagi
    init: gp sync-await prerequisites
    command: |
      source /home/gitpod/.wasmer/wasmer.sh 
      (echo 'export PATH="${PATH}:$(yarn global bin)"' >> ~/.bashrc) && source ~/.bashrc
      cd hello.wagi/wagi
      clear

  - name: grain-demo
    init: gp sync-await prerequisites
    command: |
      source /home/gitpod/.wasmer/wasmer.sh 
      (echo 'export PATH="${PATH}:$(yarn global bin)"' >> ~/.bashrc) && source ~/.bashrc
      cd grain-demo
      clear

  - name: term-01
    init: gp sync-await prerequisites
    command: |
      source /home/gitpod/.wasmer/wasmer.sh 
      (echo 'export PATH="${PATH}:$(yarn global bin)"' >> ~/.bashrc) && source ~/.bashrc
      clear

  - name: term-02
    init: gp sync-await prerequisites
    command: |
      source /home/gitpod/.wasmer/wasmer.sh 
      (echo 'export PATH="${PATH}:$(yarn global bin)"' >> ~/.bashrc) && source ~/.bashrc
      clear

  - name: term-03
    init: gp sync-await prerequisites
    command: |
      source /home/gitpod/.wasmer/wasmer.sh 
      (echo 'export PATH="${PATH}:$(yarn global bin)"' >> ~/.bashrc) && source ~/.bashrc
      clear

ports:
  - port: 8080
    visibility: public
  - port: 3000
    visibility: public

vscode:
  extensions:
    - wayou.vscode-todo-highlight
    - coenraads.bracket-pair-colorizer-2
    - pkief.material-icon-theme
    - rust-lang.rust
    - marp-team.marp-vscode@1.3.0
    - grain-lang.vscode-grain
    - johnpapa.vscode-peacock
